# Chart::BrushStyles Class Reference

Define styles for Points and LinesPoints classes. More...

Inheritance diagram for Chart::BrushStyles:
[legend]
Collaboration diagram for Chart::BrushStyles:
[legend]

List of all members.

## Public Functions
| OpenCircle
| Set the gdBrush object to have nice brushed object representing a circle of the size $radius.
| FilledCircle
| Set the gdBrush object to have nice brushed object representing a point of the size $radius.
| Star
| Set the gdBrush object to have nice brushed object representing a star of the size $radius.
| FilledDiamond
| Set the gdBrush object to have nice brushed object representing a filled diamond of the size $radius.
| OpenDiamond
| Set the gdBrush object to have nice brushed object representing a diamond of the size $radius-1.
| OpenRectangle
| Set the gdBrush object to have nice brushed object representing a rectangle of the height $radius-1 and width of $radius/2.

## Detailed Description

Define styles for Points and LinesPoints classes.

This class provides functions which define different brush styles to extend the previous point as the only design for Points.pm or LinesPoints.pm
The different brush styles are:

See also:
  OpenCircle
  FilledCircle
  Star
  OpenDiamond
  FilledDiamond
  OpenRectangle
  FilledRectangle

## Member Data Documentation

Chart::BrushStyles::FilledCircle

Set the gdBrush object to have nice brushed object representing a point of the size $radius.

Parameters:

  `[in]` | *GD::Image | $rbrush Reference to GD::Image
  `[in]` | int | $radius Radius of the point in pixels
  `[in]` | int | $color Color of the filled point

Returns:
  nothing

Called by
use Chart::BrushStyles;
@Chart::Points::ISA = qw(Chart::BrushStyles);
$self->FilledCircle(\$rbrush,$radius, $color);
to plot the GD::Image representing a filled circle as the point

Chart::BrushStyles::FilledDiamond

Set the gdBrush object to have nice brushed object representing a filled diamond of the size $radius.

Parameters:

  `[in]` | *GD::Image | $rbrush Reference to GD::Image
  `[in]` | int | $radius Radius of the diamond in pixels
  `[in]` | int | $color Color of the filled diamond

Returns:
  nothing

Called by
use Chart::BrushStyles;
@Chart::Points::ISA = qw(Chart::BrushStyles);
$self->FilledDiamond(\$rbrush,$radius, $color);
to get back an GD::Image representing a filled diamond as the point

Chart::BrushStyles::OpenCircle

Set the gdBrush object to have nice brushed object representing a circle of the size $radius.

Parameters:

  `[in]` | *GD::Image | $rbrush Reference to GD::Image
  `[in]` | int | $radius Radius of the point in pixels
  `[in]` | int | $color Color of the not filled point

Called by
use Chart::BrushStyles;
@Chart::Points::ISA = qw(Chart::BrushStyles);
$self->OpenCircle(\$rbrush,$radius, $newcolor);
to plot the GD::Image representing an open circle as the point

Chart::BrushStyles::OpenDiamond

Set the gdBrush object to have nice brushed object representing a diamond of the size $radius-1.

Parameters:

  `[in]` | *GD::Image | $rbrush Reference to GD::Image
  `[in]` | int | $radius Radius of the diamond in pixels
  `[in]` | int | $color Color of the diamond

Returns:
  nothing

Called by
use Chart::BrushStyles;
@Chart::Points::ISA = qw(Chart::BrushStyles);
$self->OpenDiamond(\$rbrush,$radius, $color);
to get back an GD::Image representing a diamond as the point

Chart::BrushStyles::OpenRectangle

Set the gdBrush object to have nice brushed object representing a rectangle of the height $radius-1 and width of $radius/2.

Parameters:

  `[in]` | *GD::Image | $rbrush Reference to GD::Image
  `[in]` | int | $radius Radius of the rectangle in pixels
  `[in]` | int | $color Color of the rectangle

Returns:
  nothing

Called by
use Chart::BrushStyles;
@Chart::Points::ISA = qw(Chart::BrushStyles);
$self->OpenDiamond(\$rbrush,$radius, $color);
to get back an GD::Image representing a rectangle as the point

Chart::BrushStyles::Star

Set the gdBrush object to have nice brushed object representing a star of the size $radius.

Parameters:

  `[in]` | *GD::Image | $rbrush Reference to GD::Image
  `[in]` | int | $radius Radius of the star in pixels
  `[in]` | int | $color Color of the star

Returns:
  nothing

Called by
use Chart::BrushStyles;
@Chart::Points::ISA = qw(Chart::BrushStyles);
$self->Star(\$rbrush,$radius, $color);
to get back an GD::Image representing a star as the point

The documentation for this class was generated from the following file:

- Chart/BrushStyles.pm